FastQTL(1)

NAME
FastQTL - Quantitative Trait Loci (QTL) mapper in cis for molecular phenotypes

SYNOPSIS
fastQTL [options]

DESCRIPTION
The goal of FastQTL is to identify single-nucleotide polymorphisms (SNPs) which are significantly associated with various molecular phenotypes (i.e. expression of known genes, cytosine methylation levels, etc). It performs scans for all possible phenotype-variant pairs in cis (i.e. variants located within a specific window around a phenotype). FastQTL implements a new permutation scheme (Beta approximation) to accurately and rapidly correct for multiple-testing at both the genotype and phenotype levels.

OPTIONS

  Basic options

--help
    Print help about options.

--silent
    Silent mode on terminal.

--seed arg (=1459232241)
    Random number generator seed. Useful to replicate runs of the software.

  Input and Output files options

-L, --log
    Screen output is copied in this file.

-V, --vcf
    Genotypes in VCF format.

-B, --bed
    Phenotypes in BED format.

-C, --cov
    Covariates in TXT format.

-G, --grp
    Phenotype groups in TXT format.

-O, --out
    Output file.

  Exclusion and Inclusion files options

--exclude-samples
    List of samples to exclude.

--include-samples
    List of samples to include.

--exclude-sites
    List of sites to exclude.

--include-sites
    List of sites to include.

--exclude-phenotypes
    List of phenotypes to exclude.

--include-phenotypes
    List of phenotypes to include.

--exclude-covariates
    List of covariates to exclude.

--include-covariates
    List of covariates to include.

  Parameters

--normal
    To perform quantile normalization on the phenotype quantifications to make them normally distributed. Implemented as the rntransform function of the GenABEL package.

-W, --window
    Cis-window size. Default values is 1Mb (1e6). It means that all variants within 1e6 bp of the phenotype location (e.g. TSS) is analyzed.

-T, --threshold
    To filter out all phenotype-variant pairs with a p-value above the specified threshold in the output of a nominal pass.

  Modes

-P, --permute
    Permutation pass to calculate corrected p-values for molecular phenotypes.

--psequence
    Permutation sequence.

--map
    Map best QTL candidates per molecular phenotype.

--map-full
    Scan full cis-window to discover independent signals.

--interaction
    Test for interactions with variable specified in file.

  Parallelization

-K, --chunk
    Specify which chunk needs to be processed.

--commands
    Generates all commands.

-R, --region
    Region of interest.

EXAMPLE
for c in $(seq 1 256); do
     fastQTL --vcf genotypes.vcf.gz
             --bed phenotypes.bed.gz
             --chunk $c 256
             --permute 1000
             --out results.$c.txt.gz
done
zcat results.*.txt.gz | gzip -c > fastqtl_expected_output.txt.gz

SEE ALSO
http://fastqtl.sourceforge.net/

AUTHOR
FastQTL was written by Olivier Delaneau, Halit Ongen, Alfonso Buil and Manolis Dermitzakis.

This manual page was written by Dylan Aïssi <bob.dybian@gmail.com>, for the Debian project (but may be used by others).